# SPDX-License-Identifier: GPL-2.0-or-later
#
# Copyright (C) 2019 CERN

name:		fmc
version:	%{?_build_version}
Release:	1%{?dist}
Summary:	Linux kernel FMC Layer support

Group:		System/Kernel
License:	GPL-2.0-or-later
URL:		https://gitlab.cern.ch/coht/fmc/
Source0:	%{name}-%{version}.tar.gz
Source1:	CHANGELOG

Requires:dkms

%description
Kernel modules for FMC support in a DKMS wrapper.

%prep
%setup -q

%install
mkdir -p %{buildroot}/usr/src/%{name}-%{version}
cp -ra * %{buildroot}/usr/src/%{name}-%{version}/

%post
dkms add -m %{name} -v %{version} --rpm_safe_upgrade
dkms build -m %{name} -v %{version} --rpm_safe_upgrade
dkms install -m %{name} -v %{version} --rpm_safe_upgrade

%preun
dkms remove -m %{name} -v %{version} --rpm_safe_upgrade --all ||:

%files
/usr/src/%{name}-%{version}/

%changelog
%include %{SOURCE1}
